﻿//-----------------------------------------------------------------------
// <copyright file="ScheduleFiredEventArgs.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings
using System;
#endregion

namespace FastNET.CleanAct.Client.Interfaces.EventArguments
{
    /// <summary>
    /// EventArgs class fired when a schedule is ready to be run
    /// </summary>
    public class ScheduleFiredEventArgs : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the ScheduleFiredEventArgs class
        /// </summary>
        /// <param name="scheduleID">ID for the schedule to run</param>
        public ScheduleFiredEventArgs(Guid scheduleID)
        {
            ScheduleID = scheduleID;
        }

        /// <summary>
        /// Gets the ID for the schedule to run
        /// </summary>
        public Guid ScheduleID { get; private set; }
    }
}