﻿//-----------------------------------------------------------------------
// <copyright file="IJob.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings

using System;
using System.Collections.Generic;
using FastNET.CleanAct.Client.Interfaces.Tasks;

#endregion

namespace FastNET.CleanAct.Client.Interfaces.Jobs
{
    /// <summary>
    /// Basic interface for a set of tasks to be processed
    /// </summary>
    public interface IJob
    {
        /// <summary>
        /// Gets the name for the job
        /// </summary>
        string JobName { get; }

        /// <summary>
        /// Gets a brief description of the job
        /// </summary>
        string JobDescription { get; }

        /// <summary>
        /// Gets a list of all tasks for the job
        /// </summary>
        IList<ITask> TaskList { get; }

        /// <summary>
        /// Gets a list of all the processor names that processed this job
        /// </summary>
        IList<string> ProcessedBy { get; }

        /// <summary>
        /// Gets a list of all actions associated with the job
        /// </summary>
        IDictionary<Guid, IJobAction> ActionList { get; }
    }
}