﻿//-----------------------------------------------------------------------
// <copyright file="IJob.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings
using FastNET.CleanAct.Common.Core;
#endregion

namespace FastNET.CleanAct.Client.Interfaces.Jobs
{
    /// <summary>
    /// Standard interface for an action associated with a job
    /// </summary>
    public interface IJobAction
    {
        /// <summary>
        /// Gets the name for the action
        /// </summary>
        string Name { get; }

        /// <summary>
        /// Gets the configuration type for the action
        /// </summary>
        string ActionType { get; }

        /// <summary>
        /// Gets the global recursive mode for the action to process by
        /// </summary>
        ActionRecursiveMode RecursiveMode { get; }

        /// <summary>
        /// Gets the action specific configuration
        /// </summary>
        string Configuration { get; }
    }
}
