﻿//-----------------------------------------------------------------------
// <copyright file="IClientCommunicationManager.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings
using System;
using System.Collections.Generic;
using FastNET.CleanAct.Client.Interfaces.Structures;
#endregion

namespace FastNET.CleanAct.Client.Interfaces.Managers.Communication
{
    /// <summary>
    /// Manager interface for communication management
    /// </summary>
    public interface IClientCommunicationManager : ICommunicationManager
    {
        /// <summary>
        /// Contacts the server using the open channel to retrieve a list of schedules to use
        /// </summary>
        /// <returns>Set of ScheduleID and the iCalendar data for the schedule</returns>
        Dictionary<Guid, string> RetrieveSchedules();

        /// <summary>
        /// Contacts the server using the open channel to retrieve processing inforamtion about a schedule to use
        /// </summary>
        /// <param name="scheduleID">The Schedule ID to retrieve instructions for</param>
        /// <returns>ProcessingSet with information to process by or null if the information could not be retrieved</returns>
        ProcessingSet? RetrieveProcessingInstructions(Guid scheduleID);
    }
}