﻿//-----------------------------------------------------------------------
// <copyright file="IThreadedManager.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------


namespace FastNET.CleanAct.Client.Interfaces.Managers
{
    /// <summary>
    /// Manager interface for a threaded manager
    /// </summary>
    public interface IThreadedManager : IManager
    {
        /// <summary>
        /// Gets a value indicating whether or not the manager status shows it is running
        /// </summary>
        bool IsAlive { get; }

        /// <summary>
        /// Starts the manager background thread
        /// </summary>
        void Start();

        /// <summary>
        /// Stops the manager background thread
        /// </summary>
        void Stop();

        /// <summary>
        /// Pauses the next cycle for the background thread
        /// </summary>
        void Pause();

        /// <summary>
        /// Resumes the next cycle for the background thread
        /// </summary>
        void Resume();
    }
}