﻿//-----------------------------------------------------------------------
// <copyright file="IService.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings
using System.Collections.Generic;
using FastNET.CleanAct.Client.Interfaces.Jobs;

#endregion

namespace FastNET.CleanAct.Client.Interfaces.Services
{
    /// <summary>
    /// Standard interface for all task processing services
    /// </summary>
    public interface IService
    {
        /// <summary>
        /// Gets or sets the list of all jobs that can be processed by the service
        /// </summary>
        List<IJob> JobList { get; set; }

        /// <summary>
        /// Tells the service to process the list of jobs
        /// </summary>
        void Process();
    }
}