﻿//-----------------------------------------------------------------------
// <copyright file="ITaskProcessor.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings
using System;
using System.Collections.Generic;
#endregion

namespace FastNET.CleanAct.Client.Interfaces.TaskProcessing
{
    /// <summary>
    /// Basic interface for a task processing class
    /// </summary>
    public interface ITaskProcessor
    {
        /// <summary>
        /// Gets a list of all the compatible types of tasks this processor can manage
        /// </summary>
        IList<Type> CompatibleTaskTypes { get; }

        /// <summary>
        /// Gets the name of the processor for reporting
        /// </summary>
        string ProcessorName { get; }

        /// <summary>
        /// Gets a description of the processor for reporting
        /// </summary>
        string ProcessorDescription { get; }
    }
}