﻿//-----------------------------------------------------------------------
// <copyright file="IScanner.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings

using System;
using System.Collections.Generic;
using FastNET.CleanAct.Client.Interfaces.Jobs;
using FastNET.CleanAct.Client.Interfaces.Tasks;

#endregion

namespace FastNET.CleanAct.Client.Interfaces.TaskProcessing.Scanners
{
    /// <summary>
    /// Basic interface for all scanning based task processors
    /// </summary>
    public interface IScanner : ITaskProcessor
    {
        /// <summary>
        /// Performs a scan based on the requirements of the scanner and returns a list of tasks that will be processed
        /// </summary>
        /// <param name="action">IJobAction to process for task generation</param>
        /// <param name="actionID">ID to associate the task to the action</param>
        /// <returns>List of ITask for all the tasks that need to be performed</returns>
        IList<ITask> PerformScan(IJobAction action, Guid actionID);
    }
}