﻿//-----------------------------------------------------------------------
// <copyright file="FileSystemCleaner.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings

using FastNET.CleanAct.Client.Interfaces.TaskProcessing.Cleaners;
using FastNET.CleanAct.Client.Interfaces.Tasks;
using FastNET.CleanAct.Client.Interfaces.Tasks.File;

#endregion

namespace FastNET.CleanAct.Client.TaskProcessing.Basic.Cleaners
{
    /// <summary>
    /// Class for managing all file system related cleaning activities
    /// </summary>
    public class FileSystemCleaner : TaskProcessor, ICleaner
    {
        #region CTor/DTor

        /// <summary>
        /// Initializes a new instance of the FileSystemCleaner class
        /// </summary>
        public FileSystemCleaner()
        {
            CompatibleTaskTypes.Add(typeof(IFileTask));
            CompatibleTaskTypes.Add(typeof(ICreateFileTask));
            CompatibleTaskTypes.Add(typeof(IMoveFileTask));
            CompatibleTaskTypes.Add(typeof(IDeleteFileTask));
        }

        #endregion

        #region Public Processor Info Properties

        /// <summary>
        /// Gets the name of the processor for reporting
        /// </summary>
        public override string ProcessorName
        {
            get
            {
                return "File System Cleaner";
            }
        }

        /// <summary>
        /// Gets a description of the processor for reporting
        /// </summary>
        public override string ProcessorDescription
        {
            get
            {
                return "Cleaning processor for all file system related activity";
            }
        }

        #endregion

        #region Public Processing Methods

        /// <summary>
        /// Processes the provided ITask
        /// </summary>
        /// <param name="task">ITask to perform processing on</param>
        public void ProcessTask(ITask task)
        {
        }

        #endregion
    }
}