﻿//-----------------------------------------------------------------------
// <copyright file="SystemFileScanner.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings

using System;
using System.Collections.Generic;
using FastNET.CleanAct.Client.Interfaces.Jobs;
using FastNET.CleanAct.Client.Interfaces.TaskProcessing.Scanners;
using FastNET.CleanAct.Client.Interfaces.Tasks;
using FastNET.CleanAct.Client.Interfaces.Tasks.File;

#endregion

namespace FastNET.CleanAct.Client.TaskProcessing.Basic.Scanners
{
    /// <summary>
    /// Class for managing all system file related scanning activities
    /// </summary>
    public class SystemFileScanner : TaskProcessor, IScanner
    {
        #region CTor/DTor

        /// <summary>
        /// Initializes a new instance of the SystemFileScanner class
        /// </summary>
        public SystemFileScanner()
        {
            CompatibleTaskTypes.Add(typeof(IFileTask));
            CompatibleTaskTypes.Add(typeof(ICreateFileTask));
            CompatibleTaskTypes.Add(typeof(IMoveFileTask));
            CompatibleTaskTypes.Add(typeof(IDeleteFileTask));
        }

        #endregion

        #region Public Processor Info Properties

        /// <summary>
        /// Gets the name of the processor for reporting
        /// </summary>
        public override string ProcessorName
        {
            get
            {
                return "System File Scanner";
            }
        }

        /// <summary>
        /// Gets a description of the processor for reporting
        /// </summary>
        public override string ProcessorDescription
        {
            get
            {
                return "Scanning processor for all system file related activity";
            }
        }

        #endregion

        #region Public Processing Methods

        /// <summary>
        /// Performs a scan based on the requirements of the scanner and returns a list of tasks that will be processed
        /// </summary>
        /// <param name="action">IJobAction to process for task generation</param>
        /// <param name="actionID">ID to associate the task to the action</param>
        /// <returns>List of ITask for all the tasks that need to be performed</returns>
        public IList<ITask> PerformScan(IJobAction action, Guid actionID)
        {
            throw new System.NotImplementedException();
        }

        #endregion


        private void ScanDirectory()
        {
            Environment.GetFolderPath(Environment.SpecialFolder.System);



        }


    }
}