﻿//-----------------------------------------------------------------------
// <copyright file="MoveFileTask.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings

using System;
using System.Collections.Generic;
using FastNET.CleanAct.Client.Interfaces.Tasks.File;

#endregion

namespace FastNET.CleanAct.Client.TaskProcessing.Basic.Tasks.File
{
    /// <summary>
    /// Basic class for all file move tasks
    /// </summary>
    internal class MoveFileTask : FileTask, IMoveFileTask
    {
        #region Variables

        private readonly Dictionary<int, string> _destinationFiles;

        #endregion

        #region CTor/DTor

        /// <summary>
        /// Initializes a new instance of the Task class
        /// </summary>
        public MoveFileTask()
        {
            _destinationFiles = new Dictionary<int, string>();
        }

        #endregion

        #region Public Collection Properties

        /// <summary>
        /// Gets a list of all destination files/directories and IDs for each entry
        /// </summary>
        public Dictionary<int, string> Destinations
        {
            get
            {
                return _destinationFiles;
            }
        }

        #endregion
    }
}