﻿//-----------------------------------------------------------------------
// <copyright file="Task.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings

using System;
using System.Collections.Generic;
using FastNET.CleanAct.Client.Interfaces.Tasks;

#endregion

namespace FastNET.CleanAct.Client.TaskProcessing.Basic.Tasks
{
    internal class Task : ITask
    {
        #region Variables

        private readonly List<string> _errors;

        #endregion

        #region CTor/DTor

        /// <summary>
        /// Initializes a new instance of the Task class
        /// </summary>
        public Task()
        {
            _errors = new List<string>();
        }

        #endregion

        #region Public Collection Properties

        /// <summary>
        /// Gets a list of all error text during processing for the task.
        /// </summary>
        public List<string> Errors
        {
            get
            {
                return _errors;
            }
        }

        #endregion
    }
}