// Copyright 2004, Microsoft Corporation
// Sample Code - Use restricted to terms of use defined in the accompanying license agreement (EULA.doc)

//--------------------------------------------------------------
// Autogenerated by XSDObjectGen version 1.4.4.1
// Schema file: RegistryConfig.xsd
// Creation Date: 9/15/2009 9:57:16 PM
//--------------------------------------------------------------

using System;
using System.ComponentModel;
using System.IO;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace FastNET.CleanAct.Common.Configuration.Actions.RegistryActions
{
    internal struct RegistryActionsDeclarations
    {
        internal const string SchemaVersion = "http://tempuri.org/RegistryConfig.xsd";
    }

    [XmlType(TypeName = "registryConfig", Namespace = RegistryActionsDeclarations.SchemaVersion)]
    [XmlRoot(ElementName = "config", Namespace = RegistryActionsDeclarations.SchemaVersion, IsNullable = false)]
    [Serializable]
    [EditorBrowsable(EditorBrowsableState.Advanced)]
    public class RegistryActionSettings
    {
        [XmlElement(ElementName = "scope", IsNullable = false, Form = XmlSchemaForm.Qualified,
            Namespace = RegistryActionsDeclarations.SchemaVersion)]
        [EditorBrowsable(EditorBrowsableState.Advanced)]
        public ActionScope Scope { get; set; }

        [XmlElement(ElementName = "target", IsNullable = false, Form = XmlSchemaForm.Qualified,
            Namespace = RegistryActionsDeclarations.SchemaVersion)]
        [EditorBrowsable(EditorBrowsableState.Advanced)]
        public ActionTarget Target { get; set; }

        [XmlElement(ElementName = "path", IsNullable = false, Form = XmlSchemaForm.Qualified, DataType = "string",
            Namespace = RegistryActionsDeclarations.SchemaVersion)]
        [EditorBrowsable(EditorBrowsableState.Advanced)]
        public string Path { get; set; }

        [XmlElement(ElementName = "pattern", IsNullable = false, Form = XmlSchemaForm.Qualified, DataType = "string",
            Namespace = RegistryActionsDeclarations.SchemaVersion)]
        [EditorBrowsable(EditorBrowsableState.Advanced)]
        public string Pattern { get; set; }

        [XmlElement(ElementName = "action", IsNullable = false, Form = XmlSchemaForm.Qualified,
            Namespace = RegistryActionsDeclarations.SchemaVersion)]
        [EditorBrowsable(EditorBrowsableState.Advanced)]
        public ActionType Action { get; set; }

        [XmlElement(ElementName = "valueType", IsNullable = true, Form = XmlSchemaForm.Qualified, DataType = "string",
            Namespace = RegistryActionsDeclarations.SchemaVersion)]
        [EditorBrowsable(EditorBrowsableState.Advanced)]
        public string ValueType { get; set; }

        [XmlElement(ElementName = "value", IsNullable = true, Form = XmlSchemaForm.Qualified, DataType = "string",
            Namespace = RegistryActionsDeclarations.SchemaVersion)]
        [EditorBrowsable(EditorBrowsableState.Advanced)]
        public string Value { get; set; }

        public RegistryActionSettings()
        {
            Scope = ActionScope.Computer;
            Target = ActionTarget.All;
            Path = string.Empty;
            Pattern = string.Empty;
            Action = ActionType.Create;
            Value = string.Empty;
        }

        #region Loading/Saving

        /// <summary>
        /// Loads a RegistryActionSettings from the specified file
        /// </summary>
        /// <param name="file">File to load the config from</param>
        /// <returns>RegistryActionSettings with the XML deserialized classes</returns>
        public static RegistryActionSettings Load(string file)
        {
            XmlSerializer s = new XmlSerializer(typeof(RegistryActionSettings));

            using (FileStream fileStream = new FileStream(file, FileMode.Open))
            {
                return (RegistryActionSettings)s.Deserialize(fileStream);
            }
        }

        /// <summary>
        /// Loads a RegistryActionSettings from the specified XML Content
        /// </summary>
        /// <param name="content">XML to load the config from</param>
        /// <returns>RegistryActionSettings with the XML deserialized classes</returns>
        public static RegistryActionSettings LoadXml(string content)
        {
            XmlSerializer s = new XmlSerializer(typeof(RegistryActionSettings));

            using (TextReader reader = new StringReader(content))
            {
                return (RegistryActionSettings)s.Deserialize(reader);
            }
        }

        /// <summary>
        /// Writes a RegistryActionSettings to a string of XML
        /// </summary>
        /// <param name="config">RegistryActionSettings to save</param>
        /// <returns>XML representation of the RegistryActionSettings</returns>
        public static string WriteXML(RegistryActionSettings config)
        {
            XmlSerializer s = new XmlSerializer(typeof(RegistryActionSettings));
            StringBuilder returnValue = new StringBuilder();

            using (TextWriter writer = new StringWriter(returnValue))
            {
                s.Serialize(writer, config);
                return returnValue.ToString();
            }
        }

        /// <summary>
        /// Saves a RegistryActionSettings to the specified file
        /// </summary>
        /// <param name="file">File to save the config to</param>
        /// <param name="config">RegistryActionSettings to save</param>
        public static void Save(string file, RegistryActionSettings config)
        {
            XmlSerializer s = new XmlSerializer(typeof(RegistryActionSettings));

            using (FileStream fileStream = new FileStream(file, FileMode.Open))
            {
                s.Serialize(fileStream, config);
            }
        }

        /// <summary>
        /// Saves a RegistryActionSettings to the specified file
        /// </summary>
        /// <param name="file">File to save the config to</param>
        public void Save(string file)
        {
            Save(file, this);
        }

        #endregion
    }
}