﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Xml.Serialization;

namespace FastNET.CleanAct.Common.Configuration.Files.PackageExport
{
    [Serializable]
    public class TemplateItem
    {
        public TemplateItem()
        {
            Templates = new List<TemplateItem>();
            Actions = new List<TemplateItemAction>();
            IsBuiltIn = false;
        }

        [XmlElement(ElementName = "template")]
        public List<TemplateItem> Templates { get; set; }

        [XmlElement(ElementName = "action")]
        public List<TemplateItemAction> Actions { get; set; }

        [XmlAttribute(AttributeName = "name")]
        public string Name { get; set; }

        [XmlAttribute(AttributeName = "isBuiltIn")]
        [DefaultValue(false)]
        public bool IsBuiltIn { get; set; }
    }
}