﻿//-----------------------------------------------------------------------
// <copyright file="ICommunicationManager.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------

namespace FastNET.CleanAct.Common.EngineModel.Managers.Interface
{
    /// <summary>
    /// Manager interface for communication management
    /// </summary>
    public interface ICommunicationManager : IManager
    {
        /// <summary>
        /// Opens all ChannelFactories and prepares the channels for use
        /// </summary>
        void OpenFactories();

        /// <summary>
        /// Closes all ChannelFactories gracefully along with any active channels
        /// </summary>
        void CloseFactories();

        /// <summary>
        /// Opens all channels for communication
        /// </summary>
        void OpenChannels();

        /// <summary>
        /// Closes all channels actively in use
        /// </summary>
        void CloseChannels();
    }
}