﻿
using System.Collections.Generic;
using FastNET.CleanAct.Common.Repository;

namespace FastNET.CleanAct.Common.EngineModel.Managers.Interface
{
    public interface IServerDataManager : IManager
    {
        /// <summary>
        /// Gets all the templates under the specified schedule ID
        /// </summary>
        /// <param name="scheduleID">The Schedule ID to retrieve all the templates by</param>
        /// <returns>IList of all Identities for all the templates associated with the schedule</returns>
        IList<Identity> GetScheduleTemplates(Identity scheduleID);

        /// <summary>
        /// Pulls a list of actions from the database for all the template IDs specified and returns a XML structure for client processing.
        /// </summary>
        /// <param name="templateIDs">The list of all Template IDs the instruction set is to contain</param>
        /// <returns>XML structure for Client side processing of actions</returns>
        string BuildInstructionSet(IList<Identity> templateIDs);
    }
}
