﻿//-----------------------------------------------------------------------
// <copyright file="IData.cs" company="FastNET Services">
//     Copyright (c) 2008-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
//Code can be found in the GateShift project too: http://gateshift.codeplex.com

namespace FastNET.CleanAct.Common.Repository.Interfaces.DataInterfaces.Base
{
    /// <summary>
    /// Base Interface for data based objects
    /// </summary>
    public interface IData
    {
        /// <summary>
        /// Gets a value indicating whether or not this instance has been changed
        /// </summary>
        bool IsDirty { get; }

        /// <summary>
        /// Gets a value indicating whether or not this instance is a new entity
        /// </summary>
        bool IsNew { get; }

        /// <summary>
        /// Gets a value indicating whether or not this instance has been deleted
        /// </summary>
        bool IsDeleted { get; }
    }
}