﻿//-----------------------------------------------------------------------
// <copyright file="IScheduleData.cs" company="FastNET Services">
//     Copyright (c) 2008-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings

using System;
using FastNET.CleanAct.Common.Repository.Interfaces.DataInterfaces.Base;
#endregion

namespace FastNET.CleanAct.Common.Repository.Interfaces.DataInterfaces.ManagementEngine
{
    /// <summary>
    /// Data interface for Schedules
    /// </summary>
    public interface IScheduleData : IIdentityData
    {
        /// <summary>
        /// Gets or sets the template the schedule item is associated with
        /// </summary>
        Identity TemplateID { get; set; }

        /// <summary>
        /// Gets or sets the user description for the schedule
        /// </summary>
        string Name { get; set; }

        /// <summary>
        /// Gets or sets the value for the schedule component
        /// </summary>
        string Value { get; set; }

        /// <summary>
        /// Gets or sets whether or not the schedule is currently enabled
        /// </summary>
        bool Enabled { get; set; }

        /// <summary>
        /// Gets or sets the date the schedule was created
        /// </summary>
        DateTime CreatedDate { get; set; }

        /// <summary>
        /// Gets or sets the date the schedule was last modified
        /// </summary>
        DateTime ModifiedDate { get; set; }
    }
}