﻿//-----------------------------------------------------------------------
// <copyright file="ITemplateData.cs" company="FastNET Services">
//     Copyright (c) 2008-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings
using FastNET.CleanAct.Common.Repository.Interfaces.DataInterfaces.Base;
#endregion

namespace FastNET.CleanAct.Common.Repository.Interfaces.DataInterfaces.ManagementEngine
{
    /// <summary>
    /// Data interface for Templates
    /// </summary>
    public interface ITemplateData : IIdentityData
    {
        /// <summary>
        /// Gets or sets the name for the template
        /// </summary>
        string Name { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether or not the template is a distributed package or not
        /// </summary>
        bool IsBuiltIn { get; set; }

        /// <summary>
        /// Gets or sets the ID associated with the template's packaging
        /// </summary>
        Identity? PackageID { get; set; }
    }
}