﻿//-----------------------------------------------------------------------
// <copyright file="ITemplateGroupRepository.cs" company="FastNET Services">
//     Copyright (c) 2008-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings

using System.Collections.Generic;
using FastNET.CleanAct.Common.Repository.Interfaces.DataInterfaces.ManagementEngine;
using FastNET.CleanAct.Common.Repository.Interfaces.Repositories.Base;
#endregion

namespace FastNET.CleanAct.Common.Repository.Interfaces.Repositories.ManagementEngine
{
    /// <summary>
    /// Respository interface for managing ITemplateGroupData
    /// </summary>
    public interface ITemplateGroupRepository
        : IRepository<ITemplateGroupData>
    {
        /// <summary>
        /// Retrieves all template group mappings by character ID
        /// </summary>
        /// <param name="parentID">Parent Template to retrieve associated classes for</param>
        /// <returns>List of ITemplateGroupData with all matching results</returns>
        IList<ITemplateGroupData> Retrieve(Identity parentID);

        /// <summary>
        /// Retrieves template group mapping by parent ID and child ID
        /// </summary>
        /// <param name="parentID">Parent Template to retrieve associated mapping by</param>
        /// <param name="childID">Child Template to retrieve associated mapping by</param>
        /// <returns>ITemplateGroupData with matching result or null if none was found</returns>
        ITemplateGroupData Retrieve(Identity parentID, Identity childID);
    }
}