﻿//-----------------------------------------------------------------------
// <copyright file="ITemplateRepository.cs" company="FastNET Services">
//     Copyright (c) 2008-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings

using System.Collections.Generic;
using FastNET.CleanAct.Common.Repository.Interfaces.DataInterfaces.ManagementEngine;
using FastNET.CleanAct.Common.Repository.Interfaces.Repositories.Base;
#endregion

namespace FastNET.CleanAct.Common.Repository.Interfaces.Repositories.ManagementEngine
{
    /// <summary>
    /// Respository interface for managing IActionData
    /// </summary>
    public interface ITemplateRepository
        : IIdentityRepository<ITemplateData>
    {

        /// <summary>
        /// Gets a list of templates by using their associated packageID
        /// </summary>
        /// <param name="packageID">Identity of the package to retrieve by or NULL to retrieve unassocated packages</param>
        /// <returns>List of ITemplateData for all found packages</returns>
        IList<ITemplateData> RetrieveByPackageID(Identity? packageID);
    }
}