﻿//-----------------------------------------------------------------------
// <copyright file="TemplateGroupTest.cs" company="FastNET Services">
//     Copyright (c) 2008-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings
using System;
using FastNET.CleanAct.Client.ManagerEngineData.Entities;
using FastNET.CleanAct.Common.Repository.Interfaces.DataInterfaces.ManagementEngine;
using Microsoft.VisualStudio.TestTools.UnitTesting;
#endregion

namespace FastNET.CleanAct.Testing.Client.ManagerEngineData.Entities
{
    /// <summary>
    /// Unit Tests for TemplateGroupTest
    /// </summary>
    [TestClass]
    public class TemplateGroupTest
    {
        /// <summary>
        /// Gets or sets the test context which provides
        /// information about and functionality for the current test run.
        /// </summary>
        public TestContext TestContext { get; set; }

        #region ParentTemplateID Validation

        /// <summary>
        /// Test for ParentTemplateID being successful
        /// </summary>
        [TestMethod]
        public void ParentTemplateID_Success()
        {
            Guid value = Guid.NewGuid();
            ITemplateGroupData data = new TemplateGroup { ParentTemplateID = value };
            Assert.AreEqual(value.ToString(), data.ParentTemplateID.ToString(), "Mismatched Data");
        }

        #endregion

        #region ChildTemplateID Validation

        /// <summary>
        /// Test for ChildTemplateID being successful
        /// </summary>
        [TestMethod]
        public void ChildTemplateID_Success()
        {
            Guid value = Guid.NewGuid();
            ITemplateGroupData data = new TemplateGroup { ChildTemplateID = value };
            Assert.AreEqual(value.ToString(), data.ChildTemplateID.ToString(), "Mismatched Data");
        }

        #endregion
    }
}
