﻿//-----------------------------------------------------------------------
// <copyright file="MockAction.cs" company="FastNET Services">
//     Copyright (c) 2008-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings
using FastNET.CleanAct.Common.Repository;
using FastNET.CleanAct.Common.Repository.Interfaces.DataInterfaces.ManagementEngine;
#endregion

namespace FastNET.CleanAct.Testing.Mockup.DataLayer
{
    /// <summary>
    /// Mock item for testing invalid repository objects
    /// </summary>
    public class MockTemplateGroup : ITemplateGroupData
    {
        /// <summary>
        /// Gets a value indicating whether or not this instance has been changed
        /// </summary>
        public bool IsDirty { get; private set; }

        /// <summary>
        /// Gets a value indicating whether or not this instance is a new entity
        /// </summary>
        public bool IsNew { get; private set; }

        /// <summary>
        /// Gets a value indicating whether or not this instance has been deleted
        /// </summary>
        public bool IsDeleted { get; private set; }

        /// <summary>
        /// Gets or sets the template the action is associated with
        /// </summary>
        public Identity ParentTemplateID { get; set; }

        /// <summary>
        /// Gets or sets the template the action is associated with
        /// </summary>
        public Identity ChildTemplateID { get; set; }
    }
}
